Part TransformedCopy

From FreeCAD Documentation
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский

This documentation is not finished. Please help and contribute documentation.

GuiCommand model explains how commands should be documented. Browse Category:UnfinishedDocu to see more incomplete pages like this one. See Category:Command Reference for all commands.

See WikiPages to learn about editing the wiki pages, and go to Help FreeCAD to learn about other ways in which you can contribute.

Arrow-left.svg Previous: Part SimpleCopy.svg SimpleCopy

Part TransformedCopy.svg Part TransformedCopy

Menu location
Part → Create a copy → Create transformed copy
Workbenches
Part
Default shortcut
None
Introduced in version
0.19
See also
Part SimpleCopy, Part ElementCopy, Part RefineShape

Description

Part TransformedCopy produces a non-parametric copy of an object that has been displaced from its original position.

To produce other non-parametric copies use Part SimpleCopy.svg Simple Copy, Part ElementCopy.svgElementCopy, or Part RefineShape.svg RefineShape

Usage

  1. Select an object that you wish to copy.
  2. Go to the menu Part → Create a copy → Part TransformedCopy.svg Create transformed copy.

Properties

Data

The copy has a simple DataPlacement property like any other Part Feature.

View

The copy has simple view properties like any other Part Feature.

Scripting

The Part TransformedCopy command can be applied after selecting one or more objects in the Tree view:

FreeCADGui.runCommand('Part_TransformedCopy')

The selection can be manual (by using the mouse), or via the Python console.
To know more about selecting objects programmatically, refer to Selection methods.


Arrow-left.svg Previous: Part SimpleCopy.svg SimpleCopy